Here is the code:
============
(defun c:Project ()
(dcl_Project_Load "Q:\\folder\\Project.odcl" T)
(dcl_Form_Show Project_Form1)
(princ)
)
(defun c:Project_Form1_TextButtonOK_OnClicked (/)
(dcl_Form_Close Project_Form1)
)
(defun c:Project_Form1_OnOk (/)
(dcl_Form_Close Project_Form1)
)
(defun c:Project_Form1_CheckBox3D_OnClicked (Value /)
(dcl_Control_GetValue Project_Form1_CheckBox3D)
(if (> Value 0)
(c:3DSTD)
)
)
(defun c:Project_Form1_TextButton3D_OnClicked (/)
(dcl_Control_SetValue Project_Form1_CheckBox3D 1 )
)
(defun c:Project_Form1_TextButtonCl_OnClicked (/)
(dcl_Control_SetValue Project_Form1_CheckBox3D 0)
)
============
See pic attached,
All I want is to click on either Text Button, so checkbox is checked, or just checkbox check and run (c:do) on "OK"-button click.
For now it works only when I first time check checkbox, it did not work when I click on text-button even though the checkbox becomes checked.
And, what drives me crazy the most is (c:do) runs when I uncheck the checkbox...
I would appreciate any advise.